<?php
/**
 * Joomla! 1.5 component Cu3er
 *
 * @version $Id: slide.php 2011-04-12 05:17:53 svn $
 * @author Tibor Németh
 * @package Joomla
 * @subpackage Cu3er
 * @license GNU/GPL
 *
 * Cu3er component for Joomla 1.5
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class Cu3erControllerSlide extends JController {

	function display() {
		JRequest::setVar('view', 'slide');
		parent::display();
	}

	function save() {
		JRequest::checkToken() or jexit('Invalid Token');
		$model = & $this->getModel('slide');
		$model->save();
	}

	function saveAndNew() {
		JRequest::checkToken() or jexit('Invalid Token');
		$model = & $this->getModel('slide');
		$model->save();
	}

	function apply() {
		$this->save();
	}

	function preview() {
		JRequest::checkToken() or jexit('Invalid Token');
		$model = & $this->getModel('slide');
		$model->save(true);
	}

	function slidedefault() {
		$mainframe = &JFactory::getApplication();
		$mainframe->redirect('index.php?option=com_cu3er&view=slidedefault&cid=' . JRequest::getInt('slideshow_id'));
	}

	function slideshowSettings() {
		$mainframe = &JFactory::getApplication();
		$mainframe->redirect('index.php?option=com_cu3er&view=slideshow&cid=' . JRequest::getInt('slideshow_id'));
	}

	function cancel() {
		$mainframe = &JFactory::getApplication();
		$mainframe->redirect('index.php?option=com_cu3er&view=slides&cid=' . JRequest::getInt('slideshow_id'));
	}

	function generator() {
		header('Content-type: application/xml');
		$model = & $this->getModel('slide');
		$generator_URL = 'http://205.186.138.15/img/wpcu3er/generate_slide.php';
	
		// echoing AJAX response JSON string
		$data = JRequest::get('post');
		if($data['slideshow_id'] == '') {
			$data['slideshow_id'] = (int)$_GET['slideshow_id'];
		}
		echo $model->callSlideGenerator($generator_URL, $data);
		jexit();
	}

	function restoreSlide() {
		$model = & $this->getModel('slide');
		echo $model->restoreSlideImages();
		jexit();
	}

	function upload() {
		jimport('joomla.filesystem.file');
	    	require_once(JPATH_COMPONENT_ADMINISTRATOR.DS.'lib'.DS.'cu3erfile.class.php');
		Cu3erFile::uploadFile(JRequest::getVar('return-url'), 'jpg,jpeg,gif,png', false, JRequest::getVar('cu3er_file', '', 'files', 'array'), JPATH_SITE.DS.(JRequest::getVar('folder')));
	}

}
